EnergyVanillaSwap Class Reference

Vanilla energy swap. More...

`#include <ql/experimental/commodities/energyvanillaswap.hpp>`

Inherits EnergySwap.

## Public Member Functions

EnergyVanillaSwap (bool payer, const Calendar &calendar, const Money &fixedPrice, const UnitOfMeasure &fixedPriceUnitOfMeasure, const boost::shared_ptr< CommodityIndex > &index, const Currency &payCurrency, const Currency &receiveCurrency, const PricingPeriods &pricingPeriods, const CommodityType &commodityType, const boost::shared_ptr< SecondaryCosts > &secondaryCosts, const Handle< YieldTermStructure > &payLegTermStructure, const Handle< YieldTermStructure > &receiveLegTermStructure, const Handle< YieldTermStructure > &discountTermStructure)

bool | isExpired () const
| returns whether the instrument might have value greater than zero.
Integer | payReceive () const
const Money & | fixedPrice () const
const UnitOfMeasure & | fixedPriceUnitOfMeasure () const
const boost::shared_ptr< CommodityIndex > & | index () const

## Protected Member Functions

void | performCalculations () const

## Protected Attributes

Integer | payReceive_
Money | fixedPrice_
UnitOfMeasure | fixedPriceUnitOfMeasure_
boost::shared_ptr< CommodityIndex > | index_
Handle< YieldTermStructure > | payLegTermStructure_
Handle< YieldTermStructure > | receiveLegTermStructure_
Handle< YieldTermStructure > | discountTermStructure_

## Detailed Description

Vanilla energy swap.

## Member Function Documentation

## performCalculations()

void performCalculations | ( |  | ) | const

protected virtual

In case a pricing engine is not used, this method must be overridden to perform the actual calculations and set any needed results. In case a pricing engine is used, the default implementation can be used.

Reimplemented from Instrument.